Groovy Documentation

## org.codehaus.groovy.transform
[Java] Class SingletonASTTransformation

    java.lang.Object
      org.codehaus.groovy.transform.SingletonASTTransformation

All Implemented Interfaces:
  ASTTransformation, org.objectweb.asm.Opcodes

    @GroovyASTTransformation(phase= CompilePhase.CANONICALIZATION)
    public class SingletonASTTransformation
    extends java.lang.Object

Handles generation of code for the

Singleton:
  annotation

Authors:
  Alex Tkachman

Method Summary
`void` | `visit(ASTNode[] nodes, SourceUnit source)` @param nodes the ast nodes

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### visit

    public void visit(ASTNode[] nodes, SourceUnit source)

  Parameters:
    `nodes` - the ast nodes
    `source` - the source unit for the nodes

Groovy Documentation